Create DeviceAssociation

Create a FHIR R6 Device Association resource.

Endpoint

POST /api/fhir/r6-ballot4/DeviceAssociation

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/DeviceAssociation

The examples use illustrative identifiers and values.

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}

Parameters

ParameterInRequiredTypeDescription
No parameters

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/DeviceAssociation.c
Client grant/token request ddfssystem/DeviceAssociation.c
Issued token's scope claim system/DeviceAssociation.c

Example Request

{"resourceType":"DeviceAssociation","identifier":[{"system":"https://example.com/fhir/identifier/DeviceAssociation","value":"example-resource"}],"device":{"reference":"Device/00000000-0000-4000-8000-000000000004"},"status":"active","subject":{"reference":"Patient/00000000-0000-4000-8000-000000000001"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"}]},"period":{"start":"2020-01-01T00:00:00Z"}}

Example Response

{
  "resourceType": "DeviceAssociation",
  "device": {
    "reference": "Device/00000000-0000-4000-8000-000000000004"
  },
  "id": "00000000-0000-4000-8000-000000000009",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2025-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "example-resource",
        "display": "Example resource"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/DeviceAssociation",
      "value": "example-resource"
    }
  ],
  "status": "active",
  "subject": {
    "reference": "Patient/00000000-0000-4000-8000-000000000001"
  },
  "period": {
    "start": "2020-01-01T00:00:00Z"
  }
}

Behavior

Creates a DeviceAssociation resource.

cURL Example

curl.exe `
  -sS `
  -X POST `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/DeviceAssociation `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]' `
  -H 'Content-Type: application/fhir+json' `
  --data '{"resourceType":"DeviceAssociation","identifier":[{"system":"https://example.com/fhir/identifier/DeviceAssociation","value":"example-resource"}],"device":{"reference":"Device/00000000-0000-4000-8000-000000000004"},"status":"active","subject":{"reference":"Patient/00000000-0000-4000-8000-000000000001"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"}]},"period":{"start":"2020-01-01T00:00:00Z"}}'

Status Codes

CodeStatus
201 Created DeviceAssociation representation.

FHIR Definition

Canonical: https://hl7.org/fhir/6.0.0-ballot4/deviceassociation.html

Related Operations